> For the complete documentation index, see [llms.txt](https://developers.getgeoflow.com/geoflow-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.getgeoflow.com/geoflow-docs/feature/visibility/partially-match-condition.md).

# Partially Match Condition

### How Does It Work?

Partially matching the condition(s) that you define allows you to take the visibility feature further.

Append Caret (^): Your condition will be matched (return true) if the visitor data property begins with the value you have specified.

Append Dollar Sign ($): Your condition will be matched (return true) if the visitor data property ends with the value you have specified.

### How To Implement

<table><thead><tr><th>Attribute Name</th><th width="273.3333333333333">Attribute Value</th><th>Which Page Element?</th></tr></thead><tbody><tr><td>data-geo-visibility</td><td>conditionName:conditionValue^</td><td>Any Element</td></tr><tr><td>data-geo-visibility</td><td>conditionName:conditionValue$</td><td>Any Element</td></tr></tbody></table>

The character must be added after the value and only one can be present at a time. If a caret and dollar sign are added, the first one will be treated as part of the value and break your condition. If you are setting multiple conditions, then the semicolon goes after the caret or dollar sign.

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th>Attribute Value</th><th>Description</th><th data-hidden>Attribute Name</th></tr></thead><tbody><tr><td><mark style="color:yellow;"><code>postalCode:30^</code></mark></td><td>The element is visibile to everyone whose postal/ZIP code begins with "30".</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>postalCode:50$</code></mark></td><td>The element is visibile to everyone whose postal/ZIP code ends with "50".</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>language:en^</code></mark></td><td>The element is displayed to visitors whose primary browser language begins with "en".</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>referer:ca$</code></mark></td><td>The element is displayed to visitors that came from a website that ends with "ca".</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/feature/visibility/partially-match-condition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
